Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt

Use this file to discover all available pages before exploring further.

Server path: /rapid7-siem | Type: Application | PCID required: Yes

Tools

ToolDescription
rapid7_siem_add_collectorAdd Collector
rapid7_siem_add_indicatorsAdd indicators to a Community Threat
rapid7_siem_assign_user_to_investigationAssign user to investigation
rapid7_siem_bulk_close_investigationsClose investigations in bulk
rapid7_siem_create_commentCreate comment
rapid7_siem_create_community_threatCreate a Community Threat
rapid7_siem_delete_attachmentDelete an attachment
rapid7_siem_delete_commentDelete a comment
rapid7_siem_delete_community_threatDelete a Community Threat
rapid7_siem_download_attachmentDownload attachment
rapid7_siem_find_account_by_rrnGet account by RRN
rapid7_siem_find_asset_by_rrnGet asset by RRN
rapid7_siem_get_attachmentGet attachment information
rapid7_siem_get_commentGet comment by rrn
rapid7_siem_get_local_account_by_rrnGet local account by RRN
rapid7_siem_get_metricsRetrieve health metrics by org
rapid7_siem_get_user_by_rrnGet user by RRN
rapid7_siem_list_attachmentsList attachments
rapid7_siem_list_commentsList comments
rapid7_siem_list_investigationsList investigations
rapid7_siem_replace_indicatorsReplace indicators for a Community Threat
rapid7_siem_search_accountsSearch accounts
rapid7_siem_search_assetsSearch assets
rapid7_siem_search_local_accountsSearch local accounts
rapid7_siem_search_usersSearch users
rapid7_siem_set_statusSet the status of an investigation
rapid7_siem_update_commentUpdate comment visibility
rapid7_siem_upload_attachmentUpload attachment

rapid7_siem_add_collector

Add Collector Parameters:
ParameterTypeRequiredDefaultDescription
deployment_typestringNoOptional indication of how the collector is deployed.
keystringYesThe registration key for the collector. Must be unique, and a valid UUID.
namestringYesThe name for the new collector. Must be unique.

rapid7_siem_add_indicators

Add indicators to a Community Threat Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key of a Community Threat for which the indicators are going to be added.
formatstringYesThe input format.
bodystringYesThe request body format should be one of JSON, STIX XML, CSV, or multi-part file data. The maximum payload size is 50 MB.

rapid7_siem_assign_user_to_investigation

Assign user to investigation Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID or RRN of the investigation to assign the user to.
user_email_addressstringYesThe email address of the user to assign to this investigation, used to log into the Insight Platform.

rapid7_siem_bulk_close_investigations

Close investigations in bulk Parameters:
ParameterTypeRequiredDefaultDescription
alert_typestringNoThe category of alerts that should be closed. This parameter is required if the source is ALERT and ignored for other sources. This value must exactly match the alert type returned by the List Investigations response.
detection_rule_rrnstringNoThe RRN of the detection rule. Investigations will only be closed that are associated with this detection rule. If a detection rule RRN is given, the alert_type is required to be ‘Attacker Behavior Detected’.
fromstringYesAn ISO formatted timestamp. Only investigations whose createTime is after this date will be closed.
max_investigations_to_closeintegerNoAn optional, maximum number of alerts to close with this request. If this parameter is not specified, then there is no maximum. If this limit is exceeded, then a 400 error response is returned. The minimum value is 0.
sourcestringYesThe name of an investigation source. Only investigations from this source will be closed. If the source is ALERT, an alert type must be specified as well.
tostringYesAn ISO formatted timestamp. Only investigations whose createTime is before this date will be closed.

rapid7_siem_create_comment

Create comment Parameters:
ParameterTypeRequiredDefaultDescription
attachmentsstring[]NoAn array of attachment RRNs to associate with the comment.
bodystringNoThe body of the comment.
targetstringYesThe target of the comment, which determines where it will appear within InsightIDR.

rapid7_siem_create_community_threat

Create a Community Threat Parameters:
ParameterTypeRequiredDefaultDescription
bodystringYesThe request body format must be in JSON. The maximum payload size is 50 MB.

rapid7_siem_delete_attachment

Delete an attachment Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the attachment.

rapid7_siem_delete_comment

Delete a comment Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the comment.

rapid7_siem_delete_community_threat

Delete a Community Threat Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key value
reasonstringNoThe reason value

rapid7_siem_download_attachment

Download attachment Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the attachment.

rapid7_siem_find_account_by_rrn

Get account by RRN Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the account.

rapid7_siem_find_asset_by_rrn

Get asset by RRN Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the asset.

rapid7_siem_get_attachment

Get attachment information Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the attachment.

rapid7_siem_get_comment

Get comment by rrn Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesReturn a comment with this rrn.

rapid7_siem_get_local_account_by_rrn

Get local account by RRN Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the local account.

rapid7_siem_get_metrics

Retrieve health metrics by org Parameters:
ParameterTypeRequiredDefaultDescription
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less than or equal to 100.
resourceTypesstringNoAn optional, comma-separated set of resource types. Only resources whose type matches one of the entries in the list are returned. If this parameter is omitted, health metrics with any resource type may be returned.
orgIdstringNoOptional organization ID to get metrics for. If not specified, metrics for the user’s current organization will be returned. User must have access to the specified organization.

rapid7_siem_get_user_by_rrn

Get user by RRN Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the user.

rapid7_siem_list_attachments

List attachments Parameters:
ParameterTypeRequiredDefaultDescription
targetstringYesReturn attachments with this target.
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less than or equal to 100.

rapid7_siem_list_comments

List comments Parameters:
ParameterTypeRequiredDefaultDescription
targetstringYesReturn comments with this target.
indexintegerNoThe optional 0, based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less or equal to 100.

rapid7_siem_list_investigations

List investigations Parameters:
ParameterTypeRequiredDefaultDescription
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less then or equal to 1000.
statusesstringNoAn optional, comma-separated set of investigation statuses. Only investigations whose status matches one of the entries in the list will be returned. If this parameter, is omitted investigations with any status may be returned.
start_timestringNoAn optional, ISO-formatted timestamp. Only investigations whose createTime is after this date will be returned by the API. If this parameter is omitted, investigations with any create_time may be returned.
end_timestringNoAn optional, ISO-formatted timestamp. Only investigations whose createTime is before this date will be returned by the API. If this parameter is omitted, investigations with any create_time may be returned.

rapid7_siem_replace_indicators

Replace indicators for a Community Threat Parameters:
ParameterTypeRequiredDefaultDescription
keystringYesThe key of a Community Threat for which the indicators are going to be added.
formatstringYesThe input format.
bodystringYesThe request body format should be one of JSON, STIX XML, CSV, or multi-part file data. The maximum payload size is 50 MB.

rapid7_siem_search_accounts

Search accounts Parameters:
ParameterTypeRequiredDefaultDescription
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less than or equal to 1000.
searchobject[]NoThe criteria for which entities to return.
sortobject[]NoThe sorting information.

rapid7_siem_search_assets

Search assets Parameters:
ParameterTypeRequiredDefaultDescription
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less than or equal to 1000.
searchobject[]NoThe criteria for which entities to return.
sortobject[]NoThe sorting information.

rapid7_siem_search_local_accounts

Search local accounts Parameters:
ParameterTypeRequiredDefaultDescription
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less than or equal to 1000.
searchobject[]NoThe criteria for which entities to return.
sortobject[]NoThe sorting information.

rapid7_siem_search_users

Search users Parameters:
ParameterTypeRequiredDefaultDescription
indexintegerNoThe optional, 0 based index of the page to retrieve. Must be an integer greater than or equal to 0.
sizeintegerNoThe optional size of the page to retrieve. Must be an integer greater than 0 or less than or equal to 1000.
searchobject[]NoThe criteria for which entities to return.
sortobject[]NoThe sorting information.

rapid7_siem_set_status

Set the status of an investigation Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID or RRN of the investigation to change the status of.
statusstringYesThe new status for the investigation (case-insensitive).

rapid7_siem_update_comment

Update comment visibility Parameters:
ParameterTypeRequiredDefaultDescription
rrnstringYesThe RRN of the comment.
visibilitystringYesThe new visibility for the comment (case insensitive).

rapid7_siem_upload_attachment

Upload attachment Parameters:
ParameterTypeRequiredDefaultDescription
filedatastring[]YesThe filedata value